---
title: ScreenOrientation.onchange
slug: Web/API/ScreenOrientation/onchange
tags:
  - API
  - Orientation
  - Property
  - Reference
  - Screen Orientation API
  - ScreenOrientation
  - Unlock
---
<p>{{APIRef("Screen Orientation")}}{{ SeeCompatTable() }}</p>

<p>The <strong><code>onchange</code></strong> property of the {{domxref("ScreenOrientation")}} is an event handler fired whenever is the {{domxref("EventHandler")}} called when the screen changes orientation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">ScreenOrientation.addEventListener('change', function(e) { ... })
ScreenOrientation.onchange = function(e) { ... }</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Orientation','#dom-screenorientation-onchange','onchange')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.ScreenOrientation.onchange")}}</p>
</div>
